#include "version.sh"

uniform sampler2D texUnit;
uniform highp vec2 perTexelDis;

in vec2 UV_f;

layout(location = 0) out vec4 fragColor;
void main()
{
    highp vec4 color = vec4(0.0, 0.0, 0.0, 0.0);
    color += texture(texUnit, UV_f) * 0.415;
    color += texture(texUnit, UV_f - perTexelDis) * 0.262;
    color += texture(texUnit, UV_f + perTexelDis) * 0.262;
    color += texture(texUnit, UV_f - perTexelDis * 2.0) * 0.048;
    color += texture(texUnit, UV_f + perTexelDis * 2.0) * 0.048;
    color += texture(texUnit, UV_f - perTexelDis * 3.0) * 0.003;
    color += texture(texUnit, UV_f + perTexelDis * 3.0) * 0.003;
        
    fragColor = color;
}
